# registry-usage

These are instructions for how to use the Hoglandet Linux Package registry

## Debian
```bash
# Install prerequisites
sudo apt-get update 
sudo apt-get -y install gnupg2 apt-transport-https curl

# Download and import the public key for verifying packages
sudo curl https://linux.pkg.hoglan.dev/debian/repository.key -o /etc/apt/trusted.gpg.d/hoglandet.asc

# Add the package repository
echo "deb https://deb.pkg.hoglan.dev/debian stable main" | sudo tee /etc/apt/sources.list.d/hoglandet.list

# Check that the repository works
sudo apt-get update

```

## Alpine
```bash
# Install prerequisites
apk add --no-cache curl

# Install the signing key
curl -JO --output-dir /etc/apk/keys https://linux.pkg.hoglan.dev/alpine/key

# Add the repository
echo 'https://linux.pkg.hoglan.dev/alpine/stable/main' >> /etc/apk/repositories

# Update the package list
apk update
```

## RPM
```bash
dnf config-manager --add-repo https://linux.pkg.hoglan.dev/linux/rpm.repo
```